2004-02-10 Roland McGrath <roland@frob.com>
authorroland <roland>
Wed, 11 Feb 2004 01:02:10 +0000 (01:02 +0000)
committerroland <roland>
Wed, 11 Feb 2004 01:02:10 +0000 (01:02 +0000)
* sysdeps/mach/hurd/configure.in: Move `retcode' check to ...
* sysdeps/mach/configure.in: ... here.
* sysdeps/mach/hurd/configure: Regenerated.
* sysdeps/mach/configure.in: Regenerated.

sysdeps/mach/configure.in
sysdeps/mach/hurd/configure
sysdeps/mach/hurd/configure.in

index d998889..2f82c3a 100644 (file)
@@ -97,3 +97,29 @@ AC_EGREP_HEADER(i386_set_gdt, mach/i386/mach_i386.defs,
 if test $libc_cv_mach_i386_gdt = yes; then
   AC_DEFINE([HAVE_I386_SET_GDT])
 fi
+
+dnl Swiped from hurd/aclocal.m4
+AC_DEFUN([hurd_MIG_RETCODE], [dnl
+# See if mig groks `retcode'.
+AC_CACHE_CHECK(whether $MIG supports the retcode keyword, hurd_cv_mig_retcode,
+[cat > conftest.defs <<\EOF
+#include <mach/std_types.defs>
+#include <mach/mach_types.defs>
+subsystem foobar 1000;
+type reply_port_t = polymorphic | MACH_MSG_TYPE_PORT_SEND_ONCE
+       ctype: mach_port_t;
+simpleroutine foobar_reply (
+       reply_port: reply_port_t;
+       err: kern_return_t, RetCode);
+EOF
+if AC_TRY_COMMAND([CC="${CC}" ${MIG-false} -n conftest.defs 1>&AS_MESSAGE_LOG_FD]); then
+  hurd_cv_mig_retcode=yes
+else
+  hurd_cv_mig_retcode=no
+fi
+rm -f conftest*])
+if test $hurd_cv_mig_retcode = yes; then
+  AC_DEFINE(HAVE_MIG_RETCODE)
+fi])
+
+hurd_MIG_RETCODE
index 86239bb..591024b 100755 (executable)
@@ -35,7 +35,11 @@ if test "${libc_cv_hurd_version+set}" = set; then
 else
   cat >conftest.$ac_ext <<_ACEOF
 #line $LINENO "configure"
-#include "confdefs.h"
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
 #include <hurd/version.h>
 int
 main ()
@@ -64,7 +68,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   libc_cv_hurd_version=ok
 else
   echo "$as_me: failed program was:" >&5
-cat conftest.$ac_ext >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
 libc_cv_hurd_version=bad
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
@@ -76,42 +81,3 @@ if test "x$libc_cv_hurd_version" != xok; then
 echo "$as_me: error: Hurd headers not installed or too old" >&2;}
    { (exit 1); exit 1; }; }
 fi
-
-
-
-# See if mig groks `retcode'.
-echo "$as_me:$LINENO: checking whether $MIG supports the retcode keyword" >&5
-echo $ECHO_N "checking whether $MIG supports the retcode keyword... $ECHO_C" >&6
-if test "${hurd_cv_mig_retcode+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  cat > conftest.defs <<\EOF
-#include <mach/std_types.defs>
-#include <mach/mach_types.defs>
-subsystem foobar 1000;
-type reply_port_t = polymorphic | MACH_MSG_TYPE_PORT_SEND_ONCE
-       ctype: mach_port_t;
-simpleroutine foobar_reply (
-       reply_port: reply_port_t;
-       err: kern_return_t, RetCode);
-EOF
-if { ac_try='CC="${CC}" ${MIG-false} -n conftest.defs 1>&5'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  hurd_cv_mig_retcode=yes
-else
-  hurd_cv_mig_retcode=no
-fi
-rm -f conftest*
-fi
-echo "$as_me:$LINENO: result: $hurd_cv_mig_retcode" >&5
-echo "${ECHO_T}$hurd_cv_mig_retcode" >&6
-if test $hurd_cv_mig_retcode = yes; then
-  cat >>confdefs.h <<\_ACEOF
-#define HAVE_MIG_RETCODE 1
-_ACEOF
-
-fi
index 4e95722..87c07c1 100644 (file)
@@ -36,29 +36,3 @@ AC_TRY_COMPILE(dnl
 if test "x$libc_cv_hurd_version" != xok; then
   AC_MSG_ERROR(Hurd headers not installed or too old)
 fi
-
-dnl Swiped from hurd/aclocal.m4
-AC_DEFUN([hurd_MIG_RETCODE], [dnl
-# See if mig groks `retcode'.
-AC_CACHE_CHECK(whether $MIG supports the retcode keyword, hurd_cv_mig_retcode,
-[cat > conftest.defs <<\EOF
-#include <mach/std_types.defs>
-#include <mach/mach_types.defs>
-subsystem foobar 1000;
-type reply_port_t = polymorphic | MACH_MSG_TYPE_PORT_SEND_ONCE
-       ctype: mach_port_t;
-simpleroutine foobar_reply (
-       reply_port: reply_port_t;
-       err: kern_return_t, RetCode);
-EOF
-if AC_TRY_COMMAND([CC="${CC}" ${MIG-false} -n conftest.defs 1>&AS_MESSAGE_LOG_FD]); then
-  hurd_cv_mig_retcode=yes
-else
-  hurd_cv_mig_retcode=no
-fi
-rm -f conftest*])
-if test $hurd_cv_mig_retcode = yes; then
-  AC_DEFINE(HAVE_MIG_RETCODE)
-fi])
-
-hurd_MIG_RETCODE